;+
; .. _as_validation_net_1994_95_v10.pro:
;
; =================================
; as_validation_net_1994_95_v10.pro
; =================================
;
; DESCRIPTION
; ===========
;
; .. graphviz::
;
;    digraph as_validation_net_1994_95_v10 {
;
;       met_data [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/met_data_as_expt_19*.txt"];
;       swr_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
;       lwr_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
;       lhf_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
;       tropflux_general [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_19890101_20091231.nc"];
;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/swr_oafluxgrid_1985_2007.nc"];
;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lwr_oafluxgrid_1985_2007.nc"];
;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lhf_oafluxgrid_1985_2007.nc"];
;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/shf_oafluxgrid_1985_2007.nc"];
;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/NCEP2_flux_19890101_20090729.nc"];
;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
;
;       ncep1 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/ncep1_flux_19890101_20091231.nc"];
;
;       figure [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/as_validation_net_1994_95_v10.ps"];
;
;       as_validation_net_1994_95_v10 [shape=box,
;       fontname=Courier,
;       color=blue,
;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro",
;       label="${TROPFLUX}/src/paper01/fig14/as_validation_net_1994_95_v10.pro"];
;       {met_data swr_erai lwr_erai lhf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {as_validation_net_1994_95_v10} -> {figure}
;    }
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
; :ref:`project_init.pro`
; :ref:`cm_project.pro`
;
; :ref:`statistics.pro`
;
; EXAMPLES
; ========
;
; ::
;
;  as_validation_net_1994_95_v10
;
; TODO
; ====
;
; make it work on cratos : missing data erai_swr_19910101_20091231_oafluxgrid.nc, etc
;
; coding rules
;
; complete description
;
; handle IO error
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110420T115926Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * remove hard coding path
;   * add graphviz
;
; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
pro as_validation_net_1994_95_v10
@cm_general
@cm_project
reinitplt, /z,/invert
key_portrait = 1
coefpalit=.9
;
openps, FILENAME = project_od_env+'as_validation_net_1994_95_v10.ps'
; partie a changer
asbox=[61,62,15,16]
date1=19941016
date2=19951019
;
fi=project_id_env+"met_data_as_expt_1994.txt"
res=read_ascii(fi,data_start=1)
ff=res.field1
swr94=reform(ff(7,*))*0.93
lwr94=reform(ff(8,*))
lhf94=reform(ff(5,*))
shf94=reform(ff(6,*))
net94=swr94+lwr94+lhf94+shf94
;
fi=project_id_env+"met_data_as_expt_1995.txt"
res=read_ascii(fi,data_start=1)
ff=res.field1
swr95=reform(ff(7,*))*0.93
lwr95=reform(ff(8,*))
lhf95=reform(ff(5,*))
shf95=reform(ff(6,*))
net95=swr95+lwr95+lhf95+shf95
;
net=[net94, net95]
ind=where(finite(net))
net=net(ind)
;
; start data - 16/10/94 and end date 31/12/94
; start data - 01/01/95 and end date 19/10/95
;
help, net
; reading other data sets
file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
initncdf, file
swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox)
swr=reform(swr)
file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
initncdf, file
lwr=read_ncdf('lwr',date1-1,date2,file=file,/nostr, box=asbox)
lwr=reform(lwr)
file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
initncdf, file
shf=-1*read_ncdf('shf',date1,date2,file=file,/nostr, box=asbox)
shf=reform(shf)
file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
initncdf, file
lhf=-1*read_ncdf('lhf',date1,date2,file=file,/nostr, box=asbox)
lhf=reform(lhf)
;
era=swr+lwr+lhf+shf
help, era
era=era(ind)
help, era
;
swr=0.
lwr=0.
shf=0.
lhf=0.
;
file=project_id_env+"TropFlux_19890101_20091231.nc"
initncdf, file
swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox)
swr=reform(swr)
lwr=read_ncdf('lwr',date1,date2,file=file,/nostr, box=asbox)
lwr=reform(lwr)
shf=read_ncdf('shf',date1,date2,file=file,/nostr, box=asbox)
shf=reform(shf)
lhf=read_ncdf('lhf',date1,date2,file=file,/nostr, box=asbox)
lhf=reform(lhf)
trop=swr+lwr+shf+lhf
help, trop
;
file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
initncdf, file
olr1=read_ncdf("sw", date1-1, date2, file=file,/nostr, box=asbox)
olr1=grossemoyenne(olr1, "xy",/nan, box=asbox)
olr1=reform(olr1)
;
olr=olr1+lwr+shf+lhf
;
swr=0.
lwr=0.
shf=0.
lhf=0.
olr1=0.
;
trop=trop(ind)
olr=olr(ind)
help, trop, olr
;
file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
initncdf, file
swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox)
swr=reform(swr)
;
file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
initncdf, file
lwr=read_ncdf("lwr", date1, date2, file=file,/nostr, box=asbox)
lwr=-1*reform(lwr)
;
file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
initncdf, file
lhf=read_ncdf("lhf", date1, date2, file=file,/nostr, box=asbox)
lhf=-1*reform(lhf)
;
file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
initncdf, file
shf=read_ncdf("shf", date1, date2, file=file,/nostr, box=asbox)
shf=-1*reform(shf)
;
oaf=swr+lwr+shf+lhf
oaf=oaf(ind)
help, oaf
;
swr=0.
lwr=0.
shf=0.
lhf=0.
;
fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
initncdf, fi
swr=read_ncdf("swr", date1, date2, file=fi,/nostr, box=asbox)
swr=reform(swr)
;
fi=project_id_env+"NCEP2_flux_19890101_20090729.nc"
initncdf, fi
lwr=read_ncdf("lwr", date1, date2, file=fi,/nostr, box=asbox)
lwr=grossemoyenne(lwr, "xy",/nan, box=asbox)
lwr=reform(lwr)
;
lwr=-1*lwr
;
fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
initncdf, fi
lhf=read_ncdf("lhf", date1, date2, file=fi,/nostr, box=asbox)
lhf=-1*reform(lhf)
;
fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
initncdf, fi
shf=read_ncdf("shf", date1, date2, file=fi,/nostr, box=asbox)
shf=-1*reform(shf)
;
nce2=swr+lwr+shf+lhf
help, nce2
;
nce2=nce2(ind)
help, nce2
swr=0.
lwr=0.
shf=0.
lhf=0.
;
file=project_id_env+"ncep1_flux_19890101_20091231.nc"
initncdf, file
swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox)
swr=reform(swr)
lwr=read_ncdf("lwr", date1, date2, file=file,/nostr, box=asbox)
lwr=reform(lwr)
lhf=read_ncdf("lhf", date1, date2, file=file,/nostr, box=asbox)
lhf=reform(lhf)
shf=read_ncdf("shf", date1, date2, file=file,/nostr, box=asbox)
shf=reform(shf)
nce1=swr+lwr+shf+lhf
;
help, nce1
;
nce1=nce1(ind)
help, nce1
;ind=where(finite(net))
;net=net(ind)
;era=era(ind)
;trop=trop(ind)
;oaf=oaf(ind)
;nce1=nce1(ind)
;nce2=nce2(ind)
;olr=olr(ind)
;
statistics, net, era, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_era=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, trop, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_trop=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, oaf, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_oaf=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, nce1, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_nce1=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, nce2, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_nce2=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, olr, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_olr=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, net, era, charsize=1.1, title='Net Flux - AS Vs ERAI', $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,1], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_era, charsize=1.
;
splot, net, trop, charsize=1.1, title='Net Flux - AS Vs TropFlux',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,2], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_trop, charsize=1.
;
splot, net, oaf, charsize=1.1, title='Net Flux - AS Vs OAFlux',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,3], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_oaf, charsize=1.
;
splot, net, nce1, charsize=1.1, title='Net Flux - AS Vs NCEP1',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,4], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_nce1, charsize=1.
;
splot, net, nce2, charsize=1.1, title='Net Flux - AS Vs NCEP2',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,5], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_nce2, charsize=1.
;
splot, net, olr, charsize=1.1, title='Net Flux - AS Vs TropFlux_NRT',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,6], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_olr, charsize=1.
;
closeps
;
end
