;+
; .. _coare_validation_net_1992_93_all_v10.pro:
;
; ========================================
; coare_validation_net_1992_93_all_v10.pro
; ========================================
;
; DESCRIPTION
; ===========
;
; .. graphviz::
;
;    digraph coare_validation_net_1992_93_all_v10 {
;
;       met_data [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/met_data_as_expt_199*_p*.txt"];
;       swr_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
;       lwr_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
;       lhf_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
;       shf_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_shf_19910101_20091231_oafluxgrid.nc"];
;       tropflux_general [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_19890101_20091231.nc"];
;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/swr_oafluxgrid_1985_2007.nc"];
;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lwr_oafluxgrid_1985_2007.nc"];
;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lhf_oafluxgrid_1985_2007.nc"];
;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/shf_oafluxgrid_1985_2007.nc"];
;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/NCEP2_flux_19890101_20090729.nc"];
;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
;
;       ncep1 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/ncep1_flux_19890101_20091231.nc"];
;
;       figure [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/coare_validation_net_1992_93_all_v11.ps"];
;
;       coare_validation_net_1992_93_all_v10 [shape=box,
;       fontname=Courier,
;       color=blue,
;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/coare_validation_net_1992_93_all_v10.pro",
;       label="${TROPFLUX}/src/paper01/fig14/coare_validation_net_1992_93_all_v10.pro"];
;
;       {met_data swr_erai  lwr_erai lhf_erai shf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {coare_validation_net_1992_93_all_v10} -> {figure}
;    }
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
; :ref:`project_init.pro`
; :ref:`cm_project.pro`
;
; :ref:`statistics.pro`
;
; EXAMPLES
; ========
;
; ::
;
;  coare_validation_net_1992_93_all_v10
;
; TODO
; ====
;
; make it work on cratos : missing data
;
; coding rules
;
; complete description
;
; handle IO error
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110420T120449Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * remove hard coding path
;   * add graphviz
;
; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
pro coare_validation_net_1992_93_all_v10
@cm_general
@cm_project
reinitplt, /z,/invert
key_portrait = 1
coefpalit=.9
;
openps, FILENAME = project_od_env+"coare_validation_net_1992_93_all_v11.ps"
; partie a changer
;
box=[155.5, 156.5, -2, -1]
;
; first leg
; start data - 11/11/92 and end date 03/12/92
fi=project_id_env+"met_data_coare_expt_1992_p1.txt"
res=read_ascii(fi,data_start=1)
ff=res.field1
date=reform(ff(0,*))
sw92_1=reform(ff(7,*))/0.93
lw92_1=reform(ff(8,*))
lh92_1=reform(ff(5,*))
sh92_1=reform(ff(6,*))
;
net1=sw92_1+lw92_1+lh92_1+sh92_1
;
st1=921111
en1=921203
;
; second leg
;
fi=project_id_env+"met_data_coare_expt_1992_p2.txt"
res=read_ascii(fi,data_start=1)
ff=res.field1
sw92_2=reform(ff(7,*))/0.93
lw92_2=reform(ff(8,*))
lh92_2=reform(ff(5,*))
sh92_2=reform(ff(6,*))
;
net2=sw92_2+lw92_2+lh92_2+sh92_2
;
; start data - 17/12/92 and end date 31/12/92
st2=19921217
en2=19921231
;
; third leg
;
fi=project_id_env+"met_data_coare_expt_1993_p1.txt"
res=read_ascii(fi,data_start=1)
ff=res.field1
sw93_1=reform(ff(7,*))/0.93
lw93_1=reform(ff(8,*))
lh93_1=reform(ff(5,*))
sh93_1=reform(ff(6,*))
;
net3=sw93_1+lw93_1+lh93_1+sh93_1
;
; start data - 01/01/93 and end date 11/01/93
st3=19930101
en3=19930111
;
; fourth leg
;
fi=project_id_env+"met_data_coare_expt_1993_p2.txt"
res=read_ascii(fi,data_start=1)
ff=res.field1
sw93_2=reform(ff(7,*))
lw93_2=reform(ff(8,*))
lh93_2=reform(ff(5,*))
sh93_2=reform(ff(6,*))
;
net4=sw93_2+lw93_2+lh93_2+sh93_2
;
; start data - 28/01/93 and end date 16/02/93
st4=19930128
en4=19930216
;
net=[net1, net2, net3, net4]
help, net
;
; reading other data sets
;
st1=19921111
en1=19921203
st2=19921217
en2=19921231
st3=19930101
en3=19930111
st4=19930128
en4=19930216
;
file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
initncdf, file
swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box)
swr1=grossemoyenne(swr1, "xy", box=box,/nan)
swr1=reform(swr1)
swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box)
swr2=grossemoyenne(swr2, "xy", box=box,/nan)
swr2=reform(swr2)
swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box)
swr3=grossemoyenne(swr3, "xy", box=box,/nan)
swr3=reform(swr3)
swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box)
swr4=grossemoyenne(swr4, "xy", box=box,/nan)
swr4=reform(swr4)
;
file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
initncdf, file
lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box)
lwr1=grossemoyenne(lwr1, "xy", box=box,/nan)
lwr1=reform(lwr1)
lwr2=read_ncdf('lwr',st2-1,en2,file=file,/nostr, box=box)
lwr2=grossemoyenne(lwr2, "xy", box=box,/nan)
lwr2=reform(lwr2)
lwr3=read_ncdf('lwr',st3-1,en3,file=file,/nostr, box=box)
lwr3=grossemoyenne(lwr3, "xy", box=box,/nan)
lwr3=reform(lwr3)
lwr4=read_ncdf('lwr',st4-1,en4,file=file,/nostr, box=box)
lwr4=grossemoyenne(lwr4, "xy", box=box,/nan)
lwr4=reform(lwr4)
;
file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
initncdf, file
lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box)
lhf1=grossemoyenne(lhf1, "xy", box=box,/nan)
lhf1=reform(lhf1)
lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box)
lhf2=grossemoyenne(lhf2, "xy", box=box,/nan)
lhf2=reform(lhf2)
lhf3=-1*read_ncdf('lhf',st3,en3,file=file,/nostr, box=box)
lhf3=grossemoyenne(lhf3, "xy", box=box,/nan)
lhf3=reform(lhf3)
lhf4=-1*read_ncdf('lhf',st4,en4,file=file,/nostr, box=box)
lhf4=grossemoyenne(lhf4, "xy", box=box,/nan)
lhf4=reform(lhf4)
;
file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
initncdf, file
shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box)
shf1=grossemoyenne(shf1, "xy", box=box,/nan)
shf1=reform(shf1)
shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box)
shf2=grossemoyenne(shf2, "xy", box=box,/nan)
shf2=reform(shf2)
shf3=-1*read_ncdf('shf',st3,en3,file=file,/nostr, box=box)
shf3=grossemoyenne(shf3, "xy", box=box,/nan)
shf3=reform(shf3)
shf4=-1*read_ncdf('shf',st4,en4,file=file,/nostr, box=box)
shf4=grossemoyenne(shf4, "xy", box=box,/nan)
shf4=reform(shf4)
;
net1=swr1+lwr1+lhf1+shf1
net2=swr2+lwr2+lhf2+shf2
net3=swr3+lwr3+lhf3+shf3
net4=swr4+lwr4+lhf4+shf4
era=[net1,net2,net3,net4]
;
help, era
swr1=0
swr2=0
swr3=0
swr4=0
lwr1=0
lwr2=0
lwr3=0
lwr4=0
lhf1=0
lhf2=0
lhf3=0
lhf4=0
shf1=0
shf2=0
shf3=0
shf4=0
net1=0
net2=0
net3=0
net4=0
;
file=project_id_env+"TropFlux_19890101_20091231.nc"
initncdf, file
swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box)
swr1=grossemoyenne(swr1, "xy",/nan, box=box)
swr1=reform(swr1)
swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box)
swr2=grossemoyenne(swr2, "xy",/nan, box=box)
swr2=reform(swr2)
swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box)
swr3=grossemoyenne(swr3, "xy",/nan, box=box)
swr3=reform(swr3)
swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box)
swr4=grossemoyenne(swr4, "xy",/nan, box=box)
swr4=reform(swr4)
;
lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box)
lwr1=grossemoyenne(lwr1, "xy",/nan, box=box)
lwr1=reform(lwr1)
lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box)
lwr2=grossemoyenne(lwr2, "xy",/nan, box=box)
lwr2=reform(lwr2)
lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box)
lwr3=grossemoyenne(lwr3, "xy",/nan, box=box)
lwr3=reform(lwr3)
lwr4=read_ncdf('lwr',st4,en4,file=file,/nostr, box=box)
lwr4=grossemoyenne(lwr4, "xy",/nan, box=box)
lwr4=reform(lwr4)
;
lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box)
lhf1=grossemoyenne(lhf1, "xy",/nan, box=box)
lhf1=reform(lhf1)
lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box)
lhf2=grossemoyenne(lhf2, "xy",/nan, box=box)
lhf2=reform(lhf2)
lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box)
lhf3=grossemoyenne(lhf3, "xy",/nan, box=box)
lhf3=reform(lhf3)
lhf4=read_ncdf('lhf',st4,en4,file=file,/nostr, box=box)
lhf4=grossemoyenne(lhf4, "xy",/nan, box=box)
lhf4=reform(lhf4)
;
shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box)
shf1=grossemoyenne(shf1, "xy",/nan, box=box)
shf1=reform(shf1)
shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box)
shf2=grossemoyenne(shf2, "xy",/nan, box=box)
shf2=reform(shf2)
shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box)
shf3=grossemoyenne(shf3, "xy",/nan, box=box)
shf3=reform(shf3)
shf4=read_ncdf('shf',st4,en4,file=file,/nostr, box=box)
shf4=grossemoyenne(shf4, "xy",/nan, box=box)
shf4=reform(shf4)
;
net1=swr1+lwr1+lhf1+shf1
net2=swr2+lwr2+lhf2+shf2
net3=swr3+lwr3+lhf3+shf3
net4=swr4+lwr4+lhf4+shf4
;
file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
initncdf, file
olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box)
olr1=grossemoyenne(olr1, "xy",/nan, box=box)
olr1=reform(olr1)
olr2=read_ncdf("sw", st2-1, en2, file=file,/nostr, box=box)
olr2=grossemoyenne(olr2, "xy",/nan, box=box)
olr2=reform(olr2)
olr3=read_ncdf("sw", st3-1, en3, file=file,/nostr, box=box)
olr3=grossemoyenne(olr3, "xy",/nan, box=box)
olr3=reform(olr3)
olr4=read_ncdf("sw", st4-1, en4, file=file,/nostr, box=box)
olr4=grossemoyenne(olr4, "xy",/nan, box=box)
olr4=reform(olr4)
;
neto_1=olr1+lwr1+lhf1+shf1
neto_2=olr2+lwr2+lhf2+shf2
neto_3=olr3+lwr3+lhf3+shf3
neto_4=olr4+lwr4+lhf4+shf4
;
trop=[net1,net2,net3,net4]
olr=[neto_1,neto_2,neto_3,neto_4]
help, trop, olr
;
swr1=0
swr2=0
swr3=0
swr4=0
lwr1=0
lwr2=0
lwr3=0
lwr4=0
lhf1=0
lhf2=0
lhf3=0
lhf4=0
shf1=0
shf2=0
shf3=0
shf4=0
net1=0
net2=0
net3=0
net4=0
neto_1=0
neto_2=0
neto_3=0
neto_4=0
;
file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
initncdf, file
swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box)
swr1=grossemoyenne(swr1, "xy",/nan, box=box)
swr1=reform(swr1)
swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box)
swr2=grossemoyenne(swr2, "xy",/nan, box=box)
swr2=reform(swr2)
swr3=read_ncdf("swr", st3, en3, file=file,/nostr, box=box)
swr3=grossemoyenne(swr3, "xy",/nan, box=box)
swr3=reform(swr3)
swr4=read_ncdf("swr", st4, en4, file=file,/nostr, box=box)
swr4=grossemoyenne(swr4, "xy",/nan, box=box)
swr4=reform(swr4)
;
file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
initncdf, file
lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box)
lwr1=grossemoyenne(lwr1, "xy",/nan, box=box)
lwr1=reform(lwr1)
lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box)
lwr2=grossemoyenne(lwr2, "xy",/nan, box=box)
lwr2=reform(lwr2)
lwr3=-1*read_ncdf("lwr", st3, en3, file=file,/nostr, box=box)
lwr3=grossemoyenne(lwr3, "xy",/nan, box=box)
lwr3=reform(lwr3)
lwr4=-1*read_ncdf("lwr", st4, en4, file=file,/nostr, box=box)
lwr4=grossemoyenne(lwr4, "xy",/nan, box=box)
lwr4=reform(lwr4)
;
file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
initncdf, file
lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box)
lhf1=grossemoyenne(lhf1, "xy",/nan, box=box)
lhf1=reform(lhf1)
lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box)
lhf2=grossemoyenne(lhf2, "xy",/nan, box=box)
lhf2=reform(lhf2)
lhf3=-1*read_ncdf("lhf", st3, en3, file=file,/nostr, box=box)
lhf3=grossemoyenne(lhf3, "xy",/nan, box=box)
lhf3=reform(lhf3)
lhf4=-1*read_ncdf("lhf", st4, en4, file=file,/nostr, box=box)
lhf4=grossemoyenne(lhf4, "xy",/nan, box=box)
lhf4=reform(lhf4)
;
file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
initncdf, file
shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box)
shf1=grossemoyenne(shf1, "xy",/nan, box=box)
shf1=reform(shf1)
shf2=-1*read_ncdf("shf", st2, en2, file=file,/nostr, box=box)
shf2=grossemoyenne(shf2, "xy",/nan, box=box)
shf2=reform(shf2)
shf3=-1*read_ncdf("shf", st3, en3, file=file,/nostr, box=box)
shf3=grossemoyenne(shf3, "xy",/nan, box=box)
shf3=reform(shf3)
shf4=-1*read_ncdf("shf", st4, en4, file=file,/nostr, box=box)
shf4=grossemoyenne(shf4, "xy",/nan, box=box)
shf4=reform(shf4)
;
net1=swr1+lwr1+lhf1+shf1
net2=swr2+lwr2+lhf2+shf2
net3=swr3+lwr3+lhf3+shf3
net4=swr4+lwr4+lhf4+shf4
;
oaf=[net1,net2,net3,net4]
;
help, oaf
swr1=0
swr2=0
swr3=0
swr4=0
lwr1=0
lwr2=0
lwr3=0
lwr4=0
lhf1=0
lhf2=0
lhf3=0
lhf4=0
shf1=0
shf2=0
shf3=0
shf4=0
net1=0
net2=0
net3=0
net4=0
;
fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
initncdf, fi
swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box)
swr1=grossemoyenne(swr1, "xy",/nan, box=box)
swr1=reform(swr1)
swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box)
swr2=grossemoyenne(swr2, "xy",/nan, box=box)
swr2=reform(swr2)
swr3=read_ncdf("swr", st3, en3, file=fi,/nostr, box=box)
swr3=grossemoyenne(swr3, "xy",/nan, box=box)
swr3=reform(swr3)
swr4=read_ncdf("swr", st4, en4, file=fi,/nostr, box=box)
swr4=grossemoyenne(swr4, "xy",/nan, box=box)
swr4=reform(swr4)
;
fi=project_id_env+"NCEP2_flux_19890101_20090729.nc"
initncdf, fi
lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box)
lwr1=grossemoyenne(lwr1, "xy",/nan, box=box)
lwr1=reform(lwr1)
lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box)
lwr2=grossemoyenne(lwr2, "xy",/nan, box=box)
lwr2=reform(lwr2)
lwr3=-1*read_ncdf("lwr", st3, en3, file=fi,/nostr, box=box)
lwr3=grossemoyenne(lwr3, "xy",/nan, box=box)
lwr3=reform(lwr3)
lwr4=-1*read_ncdf("lwr", st4, en4, file=fi,/nostr, box=box)
lwr4=grossemoyenne(lwr4, "xy",/nan, box=box)
lwr4=reform(lwr4)
;
fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
initncdf, fi
lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box)
lhf1=grossemoyenne(lhf1, "xy",/nan, box=box)
lhf1=reform(lhf1)
lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box)
lhf2=grossemoyenne(lhf2, "xy",/nan, box=box)
lhf2=reform(lhf2)
lhf3=-1*read_ncdf("lhf", st3, en3, file=fi,/nostr, box=box)
lhf3=grossemoyenne(lhf3, "xy",/nan, box=box)
lhf3=reform(lhf3)
lhf4=-1*read_ncdf("lhf", st4, en4, file=fi,/nostr, box=box)
lhf4=grossemoyenne(lhf4, "xy",/nan, box=box)
lhf4=reform(lhf4)
;
fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
initncdf, fi
shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box)
shf1=grossemoyenne(shf1, "xy",/nan, box=box)
shf1=reform(shf1)
shf2=-1*read_ncdf("shf", st2, en2, file=fi,/nostr, box=box)
shf2=grossemoyenne(shf2, "xy",/nan, box=box)
shf2=reform(shf2)
shf3=-1*read_ncdf("shf", st3, en3, file=fi,/nostr, box=box)
shf3=grossemoyenne(shf3, "xy",/nan, box=box)
shf3=reform(shf3)
shf4=-1*read_ncdf("shf", st4, en4, file=fi,/nostr, box=box)
shf4=grossemoyenne(shf4, "xy",/nan, box=box)
shf4=reform(shf4)
;
net1=swr1+lwr1+lhf1+shf1
net2=swr2+lwr2+lhf2+shf2
net3=swr3+lwr3+lhf3+shf3
net4=swr4+lwr4+lhf4+shf4
;
nce2=[net1,net2,net3,net4]
;
help, nce2
swr1=0
swr2=0
swr3=0
swr4=0
lwr1=0
lwr2=0
lwr3=0
lwr4=0
lhf1=0
lhf2=0
lhf3=0
lhf4=0
shf1=0
shf2=0
shf3=0
shf4=0
net1=0
net2=0
net3=0
net4=0
;
file=project_id_env+"ncep1_flux_19890101_20091231.nc"
initncdf, file
swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box)
swr1=grossemoyenne(swr1, "xy",/nan, box=box)
swr1=reform(swr1)
swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box)
swr2=grossemoyenne(swr2, "xy",/nan, box=box)
swr2=reform(swr2)
swr3=read_ncdf("swr", st3, en3, file=file,/nostr, box=box)
swr3=grossemoyenne(swr3, "xy",/nan, box=box)
swr3=reform(swr3)
swr4=read_ncdf("swr", st4, en4, file=file,/nostr, box=box)
swr4=grossemoyenne(swr4, "xy",/nan, box=box)
swr4=reform(swr4)
;
lwr1=read_ncdf("lwr", st1, en1, file=file,/nostr, box=box)
lwr1=grossemoyenne(lwr1, "xy",/nan, box=box)
lwr1=reform(lwr1)
lwr2=read_ncdf("lwr", st2, en2, file=file,/nostr, box=box)
lwr2=grossemoyenne(lwr2, "xy",/nan, box=box)
lwr2=reform(lwr2)
lwr3=read_ncdf("lwr", st3, en3, file=file,/nostr, box=box)
lwr3=grossemoyenne(lwr3, "xy",/nan, box=box)
lwr3=reform(lwr3)
lwr4=read_ncdf("lwr", st4, en4, file=file,/nostr, box=box)
lwr4=grossemoyenne(lwr4, "xy",/nan, box=box)
lwr4=reform(lwr4)
;
lhf1=read_ncdf("lhf", st1, en1, file=file,/nostr, box=box)
lhf1=grossemoyenne(lhf1, "xy",/nan, box=box)
lhf1=reform(lhf1)
lhf2=read_ncdf("lhf", st2, en2, file=file,/nostr, box=box)
lhf2=grossemoyenne(lhf2, "xy",/nan, box=box)
lhf2=reform(lhf2)
lhf3=read_ncdf("lhf", st3, en3, file=file,/nostr, box=box)
lhf3=grossemoyenne(lhf3, "xy",/nan, box=box)
lhf3=reform(lhf3)
lhf4=read_ncdf("lhf", st4, en4, file=file,/nostr, box=box)
lhf4=grossemoyenne(lhf4, "xy",/nan, box=box)
lhf4=reform(lhf4)
;
shf1=read_ncdf("shf", st1, en1, file=file,/nostr, box=box)
shf1=grossemoyenne(shf1, "xy",/nan, box=box)
shf1=reform(shf1)
shf2=read_ncdf("shf", st2, en2, file=file,/nostr, box=box)
shf2=grossemoyenne(shf2, "xy",/nan, box=box)
shf2=reform(shf2)
shf3=read_ncdf("shf", st3, en3, file=file,/nostr, box=box)
shf3=grossemoyenne(shf3, "xy",/nan, box=box)
shf3=reform(shf3)
shf4=read_ncdf("shf", st4, en4, file=file,/nostr, box=box)
shf4=grossemoyenne(shf4, "xy",/nan, box=box)
shf4=reform(shf4)
;
net1=swr1+lwr1+lhf1+shf1
net2=swr2+lwr2+lhf2+shf2
net3=swr3+lwr3+lhf3+shf3
net4=swr4+lwr4+lhf4+shf4
;
nce1=[net1,net2,net3,net4]
nce1=nce1
;
help, nce1
swr1=0
swr2=0
swr3=0
swr4=0
lwr1=0
lwr2=0
lwr3=0
lwr4=0
lhf1=0
lhf2=0
lhf3=0
lhf4=0
shf1=0
shf2=0
shf3=0
shf4=0
net1=0
net2=0
net3=0
net4=0
;
ind=where(finite(net))
net=net(ind)
era=era(ind)
trop=trop(ind)
oaf=oaf(ind)
nce1=nce1(ind)
nce2=nce2(ind)
olr=olr(ind)
;
help, net, era, trop, oaf, nce1, nce2, olr
;
statistics, net, era, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_era=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, trop, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_trop=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, oaf, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_oaf=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, nce1, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_nce1=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, nce2, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_nce2=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
statistics, net, olr, $
                 cor, bias, std, rmsd
print, cor, bias, std,  rmsd
cstat_olr=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, net, era, charsize=1.1, title='Net Flux - COARE Vs ERAI', $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,1], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_era, charsize=1.
;
splot, net, trop, charsize=1.1, title='Net Flux - COARE Vs TropFlux',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,2], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_trop, charsize=1.
;
splot, net, oaf, charsize=1.1, title='Net Flux - COARE Vs OAFlux',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,3], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_oaf, charsize=1.
;
splot, net, nce1, charsize=1.1, title='Net Flux - COARE Vs NCEP1',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,4], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_nce1, charsize=1.
;
splot, net, nce2, charsize=1.1, title='Net Flux - COARE Vs NCEP2',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,5], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_nce2, charsize=1.
;
splot, net, olr, charsize=1.1, title='Net Flux - COARE Vs TropFlux_NRT',/noer, $
     xrange=[-200,200], yrange=[-200,200], small=[2,3,6], psym=2, xmin=1, ymin=1
oplot, [-200,200], [-200,200]
xyouts, -150,-175, cstat_olr, charsize=1.
;
closeps
;
end
