;+
; .. _lwr_validation_scatter_2000_2007.pro:
;
; ====================================
; lwr_validation_scatter_2000_2007.pro
; ====================================
;
; DESCRIPTION
; ===========
;
; .. graphviz::
;
;    digraph lwr_validation_scatter_2000_2007 {
;
;       lwr_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lwr_2000_2007_erai.txt"];
;       lwr_tropflux [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/lwr_2000_2007_trop.txt"];
;       lwr_oaflux [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/lwr_2000_2007_oaflx.txt"];
;       lwr_ncep [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/lwr_2000_2007_ncep.txt"];
;       lwr_ncep1 [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/lwr_2000_2007_ncep1.txt"];
;       lwr_ncep1_2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/fluxe_ncep1_19890101_20091231.nc"];
;       lwr_clark [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lwr_2000_2007_clark.txt"];
;       lwr_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc"];
;       lwr_tropflux2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_lwr_19890101_20091231.nc"];
;       lwr_tropflux3 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_19890101_20091231.nc"];
;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/lwr_oafluxgrid_1985_2007.nc"];
;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/NCEP2_flux_19890101_20090729.nc"];
;
;       figure [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/lwr_validation_scatter_2000_2007.ps"];
;
;       lwr_validation_scatter_2000_2007 [shape=box,
;       fontname=Courier,
;       color=blue,
;       URL="http://forge.ipsl.jussieu.fr/tropflux/brolwrer/trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro",
;       label="${TROPFLUX}/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro"];
;
;       {lwr_erai lwr_nceplwr_ncep1 lwr_ncep1_2 lwr_clark lwr_erai_oafluxgrid lwr_tropflux2 lwr_tropflux3 lwr_oafluxgrid lwr_ncep2} -> {lwr_validation_scatter_2000_2007} -> {lwr_tropflux lwr_oaflux lwr_ncep lwr_ncep1 figure}
;    }
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
;
; :ref:`project_init.pro`
; :ref:`cm_project.pro`
;
; :func:`x_site_location`
; :func:`y_site_location`
;
; :ref:`read_lw_global_v2.pro`
; :ref:`statistics_3var_v1.pro`
;
; EXAMPLES
; ========
;
; ::
;
;  date1 = 19890101L
;  date2 = 20091231L
;  lwr_validation_scatter_2000_2007, date1, date2
;
; TODO
; ====
;
; make it work on cratos : missing data
;
; ++ mooring data in graphviz
;
; coding rules
;
; complete description
;
; handle IO error
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110420T104246Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * remove hard coding path
;   * add graphviz
;   * externalize functions
;
; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
pro lwr_validation_scatter_2000_2007, date1, date2
@cm_general
@cm_project
reinitplt, /z,/invert
key_portrait = 1
;
openps, FILENAME = project_od_env+'lwr_validation_scatter_2000_2007.ps'
; evaluation is done for 20000101-20071231 period
;
; location of moorings
;
sitelist=['8s67e','12s55e', '8s55e', '8s80.5e', '1.5s80.5e', '0n80.5e', '1.5n80.5e', '1.5s90e', $
           '0n90e', '1.5n90e', '4n90e','8n90e','12n90e', '15n90e', '5s95e', $
           '8s165e', '8s180w',  '8s155w', '8s125w', '8s110w', '8s95w',  '5s156e', '5s165e', '5s180w', '5s170w', $
          '5s155w', '5s140w', '5s125w', '5s110w', '5s95w', '2s156e', '2s165e', '2s180w', '2s170w', '2s155w', '2s140w', $
          '2s125w', '2s110w', '2s95w', '0n147e', '0n156e', '0n165e', '0n180w', '0n170w', '0n155w', '0n140w', '0n125w', $
          '0n110w', '0n95w', '2n147e', '2n156e', '2n165e', '2n180w', '2n170w', '2n155w', '2n140w', '2n125w', '2n110w', $
          '2n95w', '5n147e', '5n156e', '5n165e', '5n170w', '5n155w', '5n140w', '5n125w', '5n110w', '5n95w', $
          '8n156e', '8n165e', '8n180w', '8n170w', '9n140w', '8n125w', '8n110w', '8n95w', $
          '0n0e', '0n10w', '0n23w', '0n35w', '10s10w', '12n23w', '12n38w', '14s32w', '15n38w', '19s34w', '20n38w', $
          '21n23w', '4n23w', '4n38w', '6s10w', '8n38w', '8s30w']
;
sitelist=['0n110w', '0n140w', '0n165e', '0n170w', '0n23w', '0n80.5e', '0n95w', '10s10w', '12n23w', '15n38w', $
          '15n90e', '2n95w', '2s95w', '5n95w', '5s95w', '8n95w', '8s67e', '8s95w']
;
ocean='global'
;
da1=20000101
da2=20071231
nsmooth=1.
;   This program will create the following text files with statistics of respective variables
close,/all
;
fi_lwr_erai=project_id_env+'lwr_2000_2007_erai.txt'
openw,1,fi_lwr_erai
fi_lwr_trop=project_id_env+'lwr_2000_2007_trop.txt'
openw,2,fi_lwr_trop
fi_lwr_oaflx=project_id_env+'lwr_2000_2007_oaflx.txt'
openw,3,fi_lwr_oaflx
fi_lwr_ncep=project_id_env+'lwr_2000_2007_ncep.txt'
openw,4,fi_lwr_ncep
fi_lwr_ncep1=project_id_env+'lwr_2000_2007_ncep1.txt'
openw,5,fi_lwr_ncep1
fi_lwr_clark=project_id_env+'lwr_2000_2007_clark.txt'
openw,6,fi_lwr_clark
;
printf,1, 'x     y      cor    bias     std     rmsd'
printf,2, 'x     y      cor    bias     std     rmsd'
printf,3, 'x     y      cor    bias     std     rmsd'
printf,4, 'x     y      cor    bias     std     rmsd'
printf,5, 'x     y      cor    bias     std     rmsd'
printf,6, 'x     y      cor    bias     std     rmsd'
;
; first reading the whole ERAI uncorrected and corrected data
;
file=project_id_env+'erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc'
initncdf, file
unc=read_ncdf('lwr',date1,date2,file=file,/nostr)
help, unc
;
file=project_id_env+'TropFlux_lwr_19890101_20091231.nc"
initncda, file
cor=read_ncdf('lwr',date1,date2,file=file,/nostr)
cor=-1*cor
help, cor
;
file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
initncdf, file
oaf=read_ncdf("lwr", date1, date2, file=file,/nostr)
help, oaf
;
fi=project_id_env+'NCEP2_flux_19890101_20090729.nc'
initncdf, fi
nce=read_ncdf("lwr", date1, date2, file=fi,/nostr)
;  nce=-1*nce
help, nce
;
file=project_id_env+'fluxe_ncep1_19890101_20091231.nc'
initncdf, file
nce1=-1*read_ncdf("lwr", date1, date2, file=file,/nostr)
help, nce1
;
file=project_id_env+'TropFlux_19890101_20091231.nc'
initncdf, file
clark=-1*read_ncdf("lwr", date1, date2, file=file,/nostr)
help, clark
;
nn=n_elements(sitelist)
for n=0, nn-1 do begin
;
; reading data from mooring
;
    site=sitelist(n)
    csite=site
    print, csite
    x=x_site_location(site)
    y=y_site_location(site)
    if (y ge 0. and y le 30.) then y=y+360.
    dx=0.5
    dy=0.5
    box=[y-dy, y+dy, x-dx, x+dx]
    read_lw_global_v2, csite, date1, date2, box, $
                           lw
;
    lwr=lw
    ind=where(finite(lwr))
    valid=n_elements(ind)
;
    if (valid ge 180. ) then begin
;
       extract_flux_tropflux,unc,box, $
       tropflux
       uncr=tropflux
;
       extract_flux_tropflux,cor,box, $
       tropflux
       corr=tropflux
;
       extract_flux_tropflux,oaf,box, $
       tropflux
       oafl=tropflux
;
       extract_flux_tropflux,nce,box, $
       tropflux
       ncep=tropflux
;
        extract_flux_tropflux,nce1,box, $
                tropflux
        ncep1=tropflux
;
        extract_flux_tropflux,clark,box, $
                tropflux
        clrk=tropflux
;
        ind=where(finite(lwr))
        lwr=lwr(ind)
        uncr_lwr=uncr(ind)
        corr_lwr=corr(ind)
        oafl=oafl(ind)
        ncep=ncep(ind)
        clrk=clrk(ind)
        ncep1=ncep1(ind)
        mean_tao=total(lwr)/n_elements(ind)
;
        statistics_3var_v1, lwr, uncr_lwr, corr_lwr, $
        cor1, cor2, bias1, bias2, std1, std2, rmsd1, rmsd2
;
        printf, 1, x, y, cor1, bias1, std1, rmsd1, mean_tao, format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f6.2,3x,f4.2,3x,f5.2,3x,f6.2)'
        printf, 2, x, y, cor2, bias2, std2, rmsd2, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f6.2,3x,f4.2,3x,f5.2,3x,f6.2)'
;
        statistics_3var_v1, lwr, oafl, ncep, $
        cor1, cor2, bias1, bias2, std1, std2, rmsd1, rmsd2
        printf, 3, x, y, cor1, bias1, std1, rmsd1, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f6.2,3x,f4.2,3x,f5.2,3x,f6.2)'
        printf, 4, x, y, cor2, bias2, std2, rmsd2, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f6.2,3x,f4.2,3x,f5.2,3x,f6.2)'
;
        statistics_3var_v1, lwr, ncep1, clrk, $
                cor1, cor2, bias1, bias2, std1, std2, rmsd1, rmsd2
        printf, 5, x, y, cor1, bias1, std1, rmsd1, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f6.2,3x,f4.2,3x,f5.2,3x,f6.2)'
        printf, 6, x, y, cor2, bias2, std2, rmsd2, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f6.2,3x,f4.2,3x,f5.2,3x,f6.2)'
;
    endif
endfor
close,/all
;
fi_lwr_erai=project_id_env+'lwr_2000_2007_erai.txt'
res=read_ascii(fi_lwr_erai,data_start=1)
ff=res.field1
cor_erai=reform(ff(2,*))
bias_erai=reform(ff(3,*))
std_erai=reform(ff(4,*))
rmsd_erai=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_erai=mean_tao+bias_erai
;
ind=where(finite(cor_erai))
cor=total(cor_erai,/nan)/n_elements(ind)
ind=where(finite(bias_erai))
bias=total(bias_erai,/nan)/n_elements(ind)
ind=where(finite(rmsd_erai))
rmsd=total(rmsd_erai,/nan)/n_elements(ind)
ind=where(finite(std_erai))
std=total(std_erai,/nan)/n_elements(ind)
;
print, ''
print, 'ERAI'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_erai, charsize=1.1, title='LWR - TAO Vs ERAI', $
     xrange=[0,100], yrange=[0,100], small=[2,3,1], psym=2, xmin=1, ymin=1
xyouts, 40,10, cstat, charsize=1.
xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_erai
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [0,100], [0,100]
;
significance_test, mean_tao, mean_erai
;
fi_lwr_trop=project_id_env+'lwr_2000_2007_trop.txt'
res=read_ascii(fi_lwr_trop,data_start=1)
ff=res.field1
cor_trop=reform(ff(2,*))
bias_trop=reform(ff(3,*))
std_trop=reform(ff(4,*))
rmsd_trop=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_trop=mean_tao+bias_trop
;
ind=where(finite(cor_trop))
cor=total(cor_trop,/nan)/n_elements(ind)
ind=where(finite(bias_trop))
bias=total(bias_trop,/nan)/n_elements(ind)
ind=where(finite(rmsd_trop))
rmsd=total(rmsd_trop,/nan)/n_elements(ind)
ind=where(finite(std_trop))
std=total(std_trop,/nan)/n_elements(ind)
;
print, ''
print, 'TropFlux'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_trop, charsize=1.1, title='LWR - TAO Vs TropFlux', $
     xmin=1,ymin=1,xrange=[0,100], yrange=[0,100], small=[2,3,2],/noer, psym=2
xyouts, 40,10, cstat, charsize=1.
xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_trop
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [0,100], [0,100]
;
significance_test, mean_tao, mean_trop
;
fi_lwr_oaflx=project_id_env+'lwr_2000_2007_oaflx.txt'
res=read_ascii(fi_lwr_oaflx,data_start=1)
ff=res.field1
cor_oaf=reform(ff(2,*))
bias_oaf=reform(ff(3,*))
std_oaf=reform(ff(4,*))
rmsd_oaf=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_oaf=mean_tao+bias_oaf
;
ind=where(finite(cor_oaf))
cor=total(cor_oaf,/nan)/n_elements(ind)
ind=where(finite(bias_oaf))
bias=total(bias_oaf,/nan)/n_elements(ind)
ind=where(finite(rmsd_oaf))
rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
ind=where(finite(std_oaf))
std=total(std_oaf,/nan)/n_elements(ind)
;
print, ''
print, 'OAFlux'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_oaf, charsize=1.1, title='LWR - TAO Vs OAFlux', $
     xmin=1,ymin=1,xrange=[0,100], yrange=[0,100], small=[2,3,3],/noer, psym=2
xyouts, 40,10, cstat, charsize=1.
xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_oaf
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [0,100], [0,100]
;
significance_test, mean_tao, mean_oaf
;
fi_lwr_ncep=project_id_env+'lwr_2000_2007_ncep.txt'
res=read_ascii(fi_lwr_ncep,data_start=1)
ff=res.field1
cor_nce=reform(ff(2,*))
bias_nce=reform(ff(3,*))
std_nce=reform(ff(4,*))
rmsd_nce=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_nce=mean_tao+bias_nce
;
ind=where(finite(cor_nce))
cor=total(cor_nce,/nan)/n_elements(ind)
ind=where(finite(bias_nce))
bias=total(bias_nce,/nan)/n_elements(ind)
ind=where(finite(rmsd_nce))
rmsd=total(rmsd_nce,/nan)/n_elements(ind)
ind=where(finite(std_nce))
std=total(std_nce,/nan)/n_elements(ind)
;
print, ''
print, 'NCEP2'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_nce, charsize=1.1, title='LWR - TAO Vs NCEP2', $
     xmin=1,ymin=1,xrange=[0,100], yrange=[0,100], small=[2,3,4],/noer, psym=2
xyouts, 40,10, cstat, charsize=1.
xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_nce
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [0,100], [0,100]
;
significance_test, mean_tao, mean_nce
;
fi_lwr_ncep1=project_id_env+'lwr_2000_2007_ncep1.txt'
res=read_ascii(fi_lwr_ncep1,data_start=1)
ff=res.field1
cor_nce=reform(ff(2,*))
bias_nce=reform(ff(3,*))
std_nce=reform(ff(4,*))
rmsd_nce=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_nce=mean_tao+bias_nce
;
ind=where(finite(cor_nce))
cor=total(cor_nce,/nan)/n_elements(ind)
ind=where(finite(bias_nce))
bias=total(bias_nce,/nan)/n_elements(ind)
ind=where(finite(rmsd_nce))
rmsd=total(rmsd_nce,/nan)/n_elements(ind)
ind=where(finite(std_nce))
std=total(std_nce,/nan)/n_elements(ind)
;
print, ''
print, 'NCEP1'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_nce, charsize=1.1, title='LWR - TAO Vs NCEP1', $
     xmin=1,ymin=1,xrange=[0,100], yrange=[0,100], small=[2,3,5],/noer, psym=2
xyouts, 40,10, cstat, charsize=1.
xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_nce
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [0,100], [0,100]
;
significance_test, mean_tao, mean_nce
;
fi_lwr_clark=project_id_env+'lwr_2000_2007_clark.txt'
res=read_ascii(fi_lwr_clark,data_start=1)
ff=res.field1
cor_clark=reform(ff(2,*))
bias_clark=reform(ff(3,*))
std_clark=reform(ff(4,*))
rmsd_clark=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_clark=mean_tao+bias_clark
;
ind=where(finite(cor_clark))
cor=total(cor_clark,/nan)/n_elements(ind)
ind=where(finite(bias_clark))
bias=total(bias_clark,/nan)/n_elements(ind)
ind=where(finite(rmsd_clark))
rmsd=total(rmsd_clark,/nan)/n_elements(ind)
ind=where(finite(std_clark))
std=total(std_clark,/nan)/n_elements(ind)
;
print, ''
print, 'CLARK LWR'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_clark, charsize=1.1, title='LWR - TAO Vs CLARK', $
     xmin=1,ymin=1,xrange=[0,100], yrange=[0,100], small=[2,3,6],/noer, psym=2
xyouts, 40,10, cstat, charsize=1.
xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_clark
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [0,100], [0,100]
;
significance_test, mean_tao, mean_clark
;
closeps
;
end
