;+
; .. _swr_validation_scatter_2000_2007.pro:
;
; ====================================
; swr_validation_scatter_2000_2007.pro
; ====================================
;
; DESCRIPTION
; ===========
;
; .. graphviz::
;
;    digraph swr_validation_scatter_2000_2007 {
;
;       swr_erai [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/swr_2000_2007_erai_v50.txt"];
;       swr_tropflux [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/swr_2000_2007_trop_v50.txt"];
;       swr_oaflux [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/swr_2000_2007_oaflx_v50.txt"];
;       swr_ncep [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/swr_2000_2007_ncep_v50.txt"];
;       swr_ncep1 [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/swr_2000_2007_ncep1_v50.txt"];
;       swr_olr [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/swr_2000_2007_olr_v50.txt"];
;       swr_ncep1_2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/fluxe_ncep1_19890101_20091231.nc"];
;       swr_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/erai_fluxes_20000101_20090801_TROP_oafluxgrid.nc"];
;       swr_tropflux2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_swr_19890101_20091231_DT_v51.nc"];
;       swr_tropflux3 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_19890101_20091231.nc"];
;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/swr_oafluxgrid_1985_2007.nc"];
;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
;
;       figure [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/swr_validation_scatter_2000_2007.ps"];
;
;       swr_validation_scatter_2000_2007 [shape=box,
;       fontname=Courier,
;       color=blue,
;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro",
;       label="${TROPFLUX}/src/paper01/fig9/swr_validation_scatter_2000_2007.pro"];
;
;       {swr_erai swr_ncep1_2 swr_erai_oafluxgrid swr_tropflux2 swr_tropflux3 swr_oafluxgrid swr_ncep2} -> {swr_validation_scatter_2000_2007} -> {swr_tropflux swr_oaflux swr_ncep swr_olr swr_ncep1 figure}
;    }
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
; :ref:`project_init.pro`
; :ref:`cm_project.pro`
;
; :func:`x_site_location`
; :func:`y_site_location`
;
; :ref:`read_global_sw_v50.pro`
; :ref:`statistics_3var_v1.pro`
;
; EXAMPLES
; ========
;
; ::
;
;  date1 = 19890101L
;  date2 = 20091231L
;  swr_validation_scatter_2000_2007, date1, date2
;
; TODO
; ====
;
; make it work on cratos : missing data
;
; ++ mooring data in graphviz
;
; coding rules
;
; complete description
;
; handle IO error
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110420T105004Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * remove hard coding path
;   * add graphviz
;   * externalize functions
;
; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
pro swr_validation_scatter_2000_2007, date1, date2
@cm_genral
@cm_project
reinitplt, /z,/invert
key_portrait = 1
;
openps, FILENAME = project_od_env+'swr_validation_scatter_2000_2007.ps'
;
; evaluation is done for 20000101-20071231 period
;
; location of mooring
;
sitelist=['5n165e','8s67e','12s55e', '8s55e', '8s80.5e', '1.5s80.5e', '0n80.5e', '1.5n80.5e', '1.5s90e', $
           '0n90e', '1.5n90e', '4n90e','8n90e','12n90e', '15n90e', '5s95e', $
           '8s165e', '8s180w',  '8s155w', '8s125w', '8s110w', '8s95w',  '5s156e', '5s165e', '5s180w', '5s170w', $
          '5s155w', '5s140w', '5s125w', '5s110w', '5s95w', '2s156e', '2s165e', '2s180w', '2s170w', '2s155w', '2s140w', $
          '2s125w', '2s110w', '2s95w', '0n147e', '0n156e', '0n165e', '0n180w', '0n170w', '0n155w', '0n140w', '0n125w', $
          '0n110w', '0n95w', '2n147e', '2n156e', '2n165e', '2n180w', '2n170w', '2n155w', '2n140w', '2n125w', '2n110w', $
          '2n95w', '5n147e', '5n156e', '5n170w', '5n155w', '5n140w', '5n125w', '5n110w', '5n95w', $
          '8n156e', '8n165e', '8n180w', '8n170w', '9n140w', '8n125w', '8n110w', '8n95w', $
          '0n0e', '0n10w', '0n23w', '0n35w', '10s10w', '12n23w', '12n38w', '14s32w', '15n38w', '19s34w', '20n38w', $
          '21n23w', '4n23w', '4n38w', '6s10w', '8n38w', '8s30w']
;
ocean='global'
;
;da1=20000101
;da2=20071231
nsmooth=1.
;   This program will create the following text files with statistics of respective variables
close,/all
;
fi_swr_erai=project_id_env+'swr_2000_2007_erai_v50.txt'
openw,1,fi_swr_erai
fi_swr_trop=project_id_env+'swr_2000_2007_trop_v50.txt'
openw,2,fi_swr_trop
fi_swr_oaflx=project_id_env+'swr_2000_2007_oaflx_v50.txt'
openw,3,fi_swr_oaflx
fi_swr_ncep=project_id_env+'swr_2000_2007_ncep_v50.txt'
openw,4,fi_swr_ncep
fi_swr_ncep1=project_id_env+'swr_2000_2007_ncep1_v50.txt'
openw,5,fi_swr_ncep1
fi_swr_olr=project_id_env+'swr_2000_2007_olr_v50.txt'
openw,6,fi_swr_olr
;
printf,1, 'x     y      cor    bias     std     rmsd      mean_tao'
printf,2, 'x     y      cor    bias     std     rmsd      mean_tao'
printf,3, 'x     y      cor    bias     std     rmsd      mean_tao'
printf,4, 'x     y      cor    bias     std     rmsd      mean_tao'
printf,5, 'x     y      cor    bias     std     rmsd      mean_tao'
printf,6, 'x     y      cor    bias     std     rmsd      mean_tao'
;
; first reading the whole ERAI uncorrected and corrected data
;
file=project_id_env+'erai_fluxes_20000101_20090801_TROP_oafluxgrid.nc'
initncdf, file
unc=read_ncdf('swr',date1,date2,file=file,/nostr)
unc=-1*unc
help, unc
;
file=project_id_env+'TropFlux_swr_19890101_20071231_DT_v51.nc'
initncdf, file
cor=read_ncdf('swr',date1,date2,file=file,/nostr)
help, cor
;
file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
initncdf, file
oaf=read_ncdf("swr", date1, date2, file=file,/nostr)
help, oaf
;
fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
initncdf, fi
nce=read_ncdf("swr", date1, date2, file=fi,/nostr)
nce=0.94*nce
help, nce
;
file=project_id_env+'fluxe_ncep1_19890101_20091231.nc'
initncdf, file
nce1=read_ncdf("swr", date1, date2, file=file,/nostr)
help, nce1
;
file=project_id_env+'TropFlux_swr_19890101_20091231_NRT_v50.nc'
initncdf, file
sw_olr=read_ncdf("sw", date1-1, date2, file=file,/nostr)
help, sw_olr
nn=n_elements(sitelist)
for n=0, nn-1 do begin
;
; reading data from mooring
;
    site=sitelist(n)
    csite=site
    print, csite
    x=x_site_location(site)
    y=y_site_location(site)
    if (y ge 0. and y le 30.) then y=y+360.
    dx=0.5
    dy=0.5
    box=[y-dy, y+dy, x-dx, x+dx]
;
    read_global_sw_v50, csite, date1, date2, box, $
                           sw
;
    swr=sw
    ind=where(finite(swr))
    valid=n_elements(ind)
;
    if (valid ge 180. ) then begin
;
       extract_flux_tropflux,unc,box, $
       tropflux
       uncr=tropflux
;
       extract_flux_tropflux,cor,box, $
       tropflux
       corr=tropflux
;
       extract_flux_tropflux,oaf,box, $
       tropflux
       oafl=tropflux
;
       extract_flux_tropflux,nce,box, $
       tropflux
       ncep=tropflux
;
        extract_flux_tropflux,nce1,box, $
                tropflux
        ncep1=tropflux
;
        extract_flux_tropflux,sw_olr,box, $
                tropflux
        olr=tropflux
;
        ind=where(finite(swr))
        swr=swr(ind)
        uncr_swr=uncr(ind)
        corr_swr=corr(ind)
        oafl=oafl(ind)
        ncep=ncep(ind)
        ncep1=ncep1(ind)
        olr_sw=olr(ind)
        mean_tao=total(swr,/nan)/n_elements(swr)
;
        statistics_3var_v1, swr, uncr_swr, corr_swr, $
        cor1, cor2, bias1, bias2, std1, std2, rmsd1, rmsd2
;
        printf, 1, x, y, cor1, bias1, std1, rmsd1, mean_tao, format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f7.2,3x,f4.2,3x,f5.2,3x,f6.2)'
        printf, 2, x, y, cor2, bias2, std2, rmsd2, mean_tao, format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f7.2,3x,f4.2,3x,f5.2,3x,f6.2)'
;
        statistics_3var_v1, swr, oafl, ncep, $
        cor1, cor2, bias1, bias2, std1, std2, rmsd1, rmsd2
        printf, 3, x, y, cor1, bias1, std1, rmsd1, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f7.2,3x,f4.2,3x,f5.2,3x,f6.2)'
        printf, 4, x, y, cor2, bias2, std2, rmsd2, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f7.2,3x,f4.2,3x,f5.2,3x,f6.2)'
;
        statistics_3var_v1, swr, ncep1, olr_sw, $
                cor1, cor2, bias1, bias2, std1, std2, rmsd1, rmsd2
        printf, 5, x, y, cor1, bias1, std1, rmsd1, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f7.2,3x,f4.2,3x,f5.2,3x,f6.2)'
        printf, 6, x, y, cor2, bias2, std2, rmsd2, mean_tao,format='(f6.2, 3x, f6.2, 3x, f4.2,3x,f7.2,3x,f4.2,3x,f5.2,3x,f6.2)'
;
    endif
endfor
;
close,/all
;
fi_swr_erai=project_id_env+'swr_2000_2007_erai_v50.txt'
res=read_ascii(fi_swr_erai,data_start=1)
ff=res.field1
cor_erai=reform(ff(2,*))
bias_erai=reform(ff(3,*))
std_erai=reform(ff(4,*))
rmsd_erai=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_erai=mean_tao+bias_erai
;
ind=where(finite(cor_erai))
cor=total(cor_erai,/nan)/n_elements(ind)
ind=where(finite(bias_erai))
bias=total(bias_erai,/nan)/n_elements(ind)
ind=where(finite(rmsd_erai))
rmsd=total(rmsd_erai,/nan)/n_elements(ind)
ind=where(finite(std_erai))
std=total(std_erai,/nan)/n_elements(ind)
;
print, ''
print, 'ERAI'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_erai, charsize=1.1, title='SWR - TAO Vs ERAI', $
     xrange=[100,300], yrange=[100,300], small=[2,3,1], psym=2, xmin=1, ymin=1
xyouts, 180,175, cstat, charsize=1.
xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_erai
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [100,300], [100,300]
;
fi_swr_trop=project_id_env+'swr_2000_2007_trop_v50.txt'
res=read_ascii(fi_swr_trop,data_start=1)
ff=res.field1
cor_trop=reform(ff(2,*))
bias_trop=reform(ff(3,*))
std_trop=reform(ff(4,*))
rmsd_trop=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_trop=mean_tao+bias_trop
;
ind=where(finite(cor_trop))
cor=total(cor_trop,/nan)/n_elements(ind)
ind=where(finite(bias_trop))
bias=total(bias_trop,/nan)/n_elements(ind)
ind=where(finite(rmsd_trop))
rmsd=total(rmsd_trop,/nan)/n_elements(ind)
ind=where(finite(std_trop))
std=total(std_trop,/nan)/n_elements(ind)
;
print, ''
print, 'TropFlux'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_trop, charsize=1.1, title='SWR - TAO Vs TropFlux_DT', $
     xmin=1,ymin=1,xrange=[100,300], yrange=[100,300], small=[2,3,2],/noer, psym=2
xyouts, 180,175, cstat, charsize=1.
xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_trop
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [100,300], [100,300]
;
fi_swr_oaflx=project_id_env+'swr_2000_2007_oaflx_v50.txt'
res=read_ascii(fi_swr_oaflx,data_start=1)
ff=res.field1
cor_oaf=reform(ff(2,*))
bias_oaf=reform(ff(3,*))
std_oaf=reform(ff(4,*))
rmsd_oaf=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_oaf=mean_tao+bias_oaf
;
ind=where(finite(cor_oaf))
cor=total(cor_oaf,/nan)/n_elements(ind)
ind=where(finite(bias_oaf))
bias=total(bias_oaf,/nan)/n_elements(ind)
ind=where(finite(rmsd_oaf))
rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
ind=where(finite(std_oaf))
std=total(std_oaf,/nan)/n_elements(ind)
;
print, ''
print, 'OAFlux'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_oaf, charsize=1.1, title='SWR - TAO Vs OAFlux', $
     xmin=1,ymin=1,xrange=[100,300], yrange=[100,300], small=[2,3,3],/noer, psym=2
xyouts, 180,175, cstat, charsize=1.
xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_oaf
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [100,300], [100,300]
;
fi_swr_ncep=project_id_env+'swr_2000_2007_ncep_v50.txt'
res=read_ascii(fi_swr_ncep,data_start=1)
ff=res.field1
cor_nce=reform(ff(2,*))
bias_nce=reform(ff(3,*))
std_nce=reform(ff(4,*))
rmsd_nce=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_nce=mean_tao+bias_nce
;
ind=where(finite(cor_nce))
cor=total(cor_nce,/nan)/n_elements(ind)
ind=where(finite(bias_nce))
bias=total(bias_nce,/nan)/n_elements(ind)
ind=where(finite(rmsd_nce))
rmsd=total(rmsd_nce,/nan)/n_elements(ind)
ind=where(finite(std_nce))
std=total(std_nce,/nan)/n_elements(ind)
;
print, ''
print, 'NCEP2'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_nce, charsize=1.1, title='SWR - TAO Vs NCEP2', $
     xmin=1,ymin=1,xrange=[100,300], yrange=[100,300], small=[2,3,4],/noer, psym=2
xyouts, 180,175, cstat, charsize=1.
xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_nce
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [100,300], [100,300]
;
fi_swr_ncep1=project_id_env+'swr_2000_2007_ncep1_v50.txt'
res=read_ascii(fi_swr_ncep1,data_start=1)
ff=res.field1
cor_nce=reform(ff(2,*))
bias_nce=reform(ff(3,*))
std_nce=reform(ff(4,*))
rmsd_nce=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_nce=mean_tao+bias_nce
;
ind=where(finite(cor_nce))
cor=total(cor_nce,/nan)/n_elements(ind)
ind=where(finite(bias_nce))
bias=total(bias_nce,/nan)/n_elements(ind)
ind=where(finite(rmsd_nce))
rmsd=total(rmsd_nce,/nan)/n_elements(ind)
ind=where(finite(std_nce))
std=total(std_nce,/nan)/n_elements(ind)
;
print, ''
print, 'NCEP1'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_nce, charsize=1.1, title='SWR - TAO Vs NCEP1', $
     xmin=1,ymin=1,xrange=[100,300], yrange=[100,300], small=[2,3,5],/noer, psym=2
xyouts, 180,175, cstat, charsize=1.
xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_nce
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [100,300], [100,300]
;
fi_swr_olr=project_id_env+'swr_2000_2007_olr_v50.txt'
res=read_ascii(fi_swr_olr,data_start=1)
ff=res.field1
cor_olr=reform(ff(2,*))
bias_olr=reform(ff(3,*))
std_olr=reform(ff(4,*))
rmsd_olr=reform(ff(5,*))
mean_tao=reform(ff(6,*))
mean_olr=mean_tao+bias_olr
;
ind=where(finite(cor_olr))
cor=total(cor_olr,/nan)/n_elements(ind)
ind=where(finite(bias_olr))
bias=total(bias_olr,/nan)/n_elements(ind)
ind=where(finite(rmsd_olr))
rmsd=total(rmsd_olr,/nan)/n_elements(ind)
ind=where(finite(std_olr))
std=total(std_olr,/nan)/n_elements(ind)
;
print, ''
print, 'SWR_olr'
print, cor, bias, std, rmsd
cstat=string(cor, bias, std, rmsd, format='(f4.2,2x,f6.2,2x,f4.2,1x,f6.2)')
;
splot, mean_tao, mean_olr, charsize=1.1, title='SWR - TAO Vs SWR_olr', $
     xmin=1,ymin=1,xrange=[100,300], yrange=[100,300], small=[2,3,6],/noer, psym=2
xyouts, 180,175, cstat, charsize=1.
xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
;
x=mean_tao
y=mean_olr
ab=linfit(x,y,yfit=yfit)
a=float(ab(0))
b=float(ab(1))
print, a,b
oplot, x, yfit, thick=2, color=250
oplot, [100,300], [100,300]
;
closeps
;
end
