;+
;
; ========
; qsat.pro
; ========
;
; .. function:: qsat(T,P)
;
;     :param T: SST (degC)
;     :param P: surface pressure (mb)
; 
;     :returns: Air humidity at saturation (g/kg)
;     
; EXAMPLES
; ========
;
; ::
;
;  T = +todo+
;  P = +todo+
;  result = qsat(T,P)
;
; TODO
; ====
;
; coding rules
;
; complete example
;
; get rid of uppercase
;
; SEE ALSO
; ========
;
; :func:`rh_to_spechum`
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110811T131113Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * add minimal header to pk release given today (!)
;
; - pbk 2008
;
;   * creation
;
;-
function qsat, T, P
;
x=T
es=6.112*exp(17.502*x/(x+241.))*(1.0007+3.46e-6*p)
y=es*622/(p-.378*es)

return, y

end
