;+
;
; ===================
; y_site_location.pro
; ===================
;
; .. function:: y_site_location(site)
;
; DESCRITPION
; ===========
;
;    :param site: ++
;
; EXAMPLES
; ========
;
; ::
;
;   site = ++
;   result = y_site_location(site)
;
; SEE ALSO
; ========
;
; :func:`x_site_location`
;
; :ref:`fig1_no_obs_map.pro`
; :ref:`net_flux_validation_scatter_2000_2007.pro`
; :ref:`fig16_timeseries_nino3.pro`
; :ref:`fig2_timeline_diagram.pro`
; :ref:`air_validation_scatter_2000_2009_v50.pro`
; :ref:`q2m_validation_scatter_2000_2009_v50.pro`
; :ref:`sst_validation_scatter_2000_2009_v50.pro`
; :ref:`ws_validation_scatter_2000_2009_v50.pro`
; :ref:`air_validation_scatter_2000_2009_basin.pro`
; :ref:`q2m_validation_scatter_2000_2009_basin.pro`
; :ref:`sst_validation_scatter_2000_2009_basin.pro`
; :ref:`ws_validation_scatter_2000_2009_basin.pro`
; :ref:`lhf_validation_scatter_2000_2009.pro`
; :ref:`shf_validation_scatter_2000_2009.pro`
; :ref:`lwr_validation_scatter_2000_2007.pro`
; :ref:`swr_validation_scatter_2000_2007.pro`
;
; TODO
; ====
;
; coding rules
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110412T083358Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * creation from fig2_timeline_diagram.pro
;
;-
function y_site_location, site
n1=strpos(site, 'e')
if (n1 gt -1) then begin
    n=strpos(site, 's')
    if (n gt -1) then begin
        y=strmid(site, n+1, n1-n-1)
    endif else begin
        n=strpos(site, 'n')
        y=strmid(site, n+1, n1-n-1)
    endelse
endif else begin
    n1=strpos(site, 'w')
    n=strpos(site, 's')
    if (n gt -1) then begin
        y=strmid(site, n+1, n1-n-1)
        y=180+(180-float(y))
    endif else begin
        n=strpos(site, 'n')
        y=strmid(site, n+1, n1-n-1)
        y=180+(180-float(y))
   endelse
endelse
return,float(y)
end
